Support » Fixing WordPress » Upgrading to PHP 7.1 makes website broken! Don’t do it!

  • When I switch to php 7.1 (upgrade) the website went to fatal error like this:

    Fatal error: Uncaught Error: Call to undefined function mysql_escape_string() in /home/mysite/public_html/wp-content/themes/twentyfifteen-child/functions.php:4 Stack trace: #0 /home/mysite/public_html/wp-settings.php(422): include() #1 /home/mysite/public_html/wp-config.php(94): require_once('/home/mysite...') #2 /home/mysite/public_html/wp-load.php(37): require_once('/home/adultbayb...') #3 /home/mysite/public_html/wp-blog-header.php(13): require_once('/home/mysite...') #4 /home/mysite/public_html/index.php(17): require('/home/mysite...') #5 {main} thrown in /home/mysite/public_html/wp-content/themes/twentyfifteen-child/functions.php on line 4

    How to fix?

Viewing 5 replies - 1 through 5 (of 5 total)
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Upgrading to PHP 7.1 makes website broken! Don’t do it!’ is closed to new replies.